#
# spec file for package gnome-mplayer
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define nautilus_extdir %(pkg-config --variable=extensiondir libnautilus-extension)

Name:           gnome-mplayer
Version:        1.0.9
Release:        3.6
Summary:        GNOME Frontend for MPlayer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://code.google.com/p/gnome-mplayer/
Source0:        http://gnome-mplayer.googlecode.com/files/gnome-mplayer-%{version}.tar.gz
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmlib) >= 1.0.7
BuildRequires:  pkgconfig(gmtk) >= 1.0.7
BuildRequires:  pkgconfig(gobject-2.0)
%if 0%{?suse_version} > 1220
BuildRequires:  pkgconfig(gtk+-3.0)
%else
BuildRequires:  pkgconfig(gtk+-2.0)
%endif
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libmusicbrainz3)
BuildRequires:  pkgconfig(libnautilus-extension)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(x11)
Requires:       %{_bindir}/mplayer
%glib2_gsettings_schema_requires

%description
Gnome MPlayer has a rich API that is exposed via DBus. Using DBus you can
control a single or multiple instances of GNOME MPlayer from a single command.

The player can be used to play media on websites when used with Gecko
Mediaplayer.

Gnome MPlayer is not highly dependent on the Gnome libraries, the look and feel
of the application is based on the Gnome HIG. The main dependency is on GTK2,
GLIB2 and DBUS.

%package -n nautilus-gnome-mplayer-properties-page
Summary:        Multimedia files information Nautilus extension
Group:          Productivity/Multimedia/Video/Players
Requires:       %{_bindir}/mplayer
# Needed because apps.gnome-mplayer.preferences.gschema.xml is used to enable or disable it
Requires:       gnome-mplayer

%description -n nautilus-gnome-mplayer-properties-page
This package provides the functionality to the Nautilus file browser to obtain
information from multimedia files.

%prep
%setup -q

%build
%configure --disable-silent-rules \
%if 0%{?suse_version} > 1220
	   --enable-gtk3 \
%else
	   --disable-gtk3 \
%endif
           --docdir=%{_docdir}/%{name} \
           --disable-schemas-compile
make %{?_smp_mflags}

%install
%make_install
# Empty files
rm '%{buildroot}%{_docdir}/%{name}/'{AUTHORS,NEWS,INSTALL}
%find_lang %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(0644, root, root, 0755)
%{_docdir}/%{name}
%attr(0755,root,root) %{_bindir}/gnome-mplayer
%{_mandir}/man1/gnome-mplayer.1*
# Otherwise the package would Require: gnome-control-center
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/default-apps
#
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/gnome-mplayer.desktop
%{_datadir}/icons/hicolor/*/apps/gnome-mplayer.*

%files -n nautilus-gnome-mplayer-properties-page
%defattr(0644, root, root, 0755)
%{nautilus_extdir}/libgnome-mplayer-properties-page.so

%changelog
* Thu Oct  2 2014 aloisio@gmx.com
- Update to 1.0.9
* Sat Jan 18 2014 zaitor@opensuse.org
- Add update-desktop-files and hicolor-icon-theme BuildRequires,
  and add corresponding macros to %%post/%%postun, in order to update
  mime cache and icon cache (pm#108).
* Wed Mar  6 2013 reddwarf@opensuse.org
- Update to 1.0.8
* Fri Nov 16 2012 reddwarf@opensuse.org
- Update to 1.0.7
* Tue Apr 10 2012 reddwarf@opensuse.org
- Update to 1.0.6
* Wed Feb 22 2012 reddwarf@opensuse.org
- Update to 1.0.5
* Thu Aug 20 2009 reddwarf@opensuse.org
- Initial package
